Package nl.tudelft.simulation.dsol.animation.gis.transform

## Class CoordinateTransform.NoTransform

- java.lang.Object
- - nl.tudelft.simulation.dsol.animation.gis.transform.CoordinateTransform.NoTransform

All Implemented Interfaces:
  `CoordinateTransform`

Enclosing interface:
  CoordinateTransform

    public static class CoordinateTransform.NoTransform
    extends Object
    implements CoordinateTransform

The identical transformation (x,y) => (x,y).

### Nested Class Summary

### Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.animation.gis.transform.CoordinateTransform

`CoordinateTransform.NoTransform`

### Constructor Summary

Constructors
`NoTransform()`

### Method Summary

All Methods Instance Methods Concrete Methods
`double[]` `doubleTransform​(double x, double y)` transform the (x, y) coordinate to a new (x', y') coordinate represented as a double[2].
`float[]` `floatTransform​(double x, double y)` transform the (x, y) coordinate to a new (x', y') coordinate represented as a float[2].

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoTransform

    public NoTransform()

### Method Detail

#### floatTransform

    public final float[] floatTransform​(double x,
                                        double y)

transform the (x, y) coordinate to a new (x', y') coordinate represented as a float[2].

Specified by:
  `floatTransform` in interface `CoordinateTransform`
Parameters:
  `x` - double; the original x-coordinate, e.g. lon in dd (double degrees)
  `y` - double; the original y-coordinate, e.g. lat in dd (double degrees)
Returns:
  the new (x', y') coordinate represented as a float[2]

#### doubleTransform

    public final double[] doubleTransform​(double x,
                                          double y)

transform the (x, y) coordinate to a new (x', y') coordinate represented as a double[2].

Specified by:
  `doubleTransform` in interface `CoordinateTransform`
Parameters:
  `x` - double; the original x-coordinate, e.g. lon in dd (double degrees)
  `y` - double; the original y-coordinate, e.g. lat in dd (double degrees)
Returns:
  the new (x', y') coordinate represented as a double[2]